(* This init package contains the concepts and procedures used in
"Spheres". It should be placed with all the packages and notebooks of
"Spheres" into the same directory. *)

(* Created by Rolf Sulanke, first with the help of MakeMaster,then completed by hand *)

(*Revised May 25, 1999, Sep 17, 1999, November 7,  2000. *)

BeginPackage["init`"]
EndPackage[]

DeclarePackage["euvec`", {"cross",    
"hyperplane", "invsterproj", "dotnorme", "esorthonorm", "innerprod", "normed",
"print","neglect", "nul", "ortho1", "orthobase",
"orthoerg",     "orthoframe", "outzero", "randomv", "rank",
"renorm", "smoothing", "sphere", "sphereplot3D", "subsphere", "subspheremf", 
"sphericalreflection", "stb", "sterproj", "tg4frame", "unit", "vec"}]

DeclarePackage["pseuvec`", {"ch", "dual", "ide", "normalize", 
"orthonorm", "orthopair", "pr", "psCross", "pscross", "psfilter", "pssp"}]   

DeclarePackage["mspher`",{"confinv", "gencos", "invstepro", "planev", "plotsphere",
"euklidsphere", "pstg5frame", "euklidsphereplot3D", "vradius", "vcenter", "spacevec",
"sphvec", "spt","spunit", "stepro"}] 

DeclarePackage["mcirc`", 
  {"adaptsplframe", "center", "posvec", "radius", "center3pts", "circle2spv", "circle3D", "circle3pts", "circlefamily", "circleplane",
 "circlespacevectors","control", "gencircle", 
 "plotcircle2spv",  "plotcircle3D", "plotcircle3pts", "plotgencircle", "posvec3pts", "pp", "ppdet", 
 "pptr", "pscomplement", "radius3pts", "threepoints", "tube", "unitvec", "vspace"}]

DeclarePackage["spiralsf`",{"spiral", "spiralsurface", "plotspiralsurface"}]

Null

